Imports IntraSell_DLL

Public Class KundenUebersicht
    Dim _IDNR As Integer

    Public Property IDNR() As Integer
        Get
            Return _IDNR
        End Get
        Set(value As Integer)
            If value >= 0 Then
                Dim changed As Boolean = _IDNR <> value
                _IDNR = value

                If changed Then
                    LadeDaten(IDNR)
                End If
            Else
                _IDNR = Nothing
            End If
        End Set
    End Property

    Private Sub LadeDaten(IDNR As Integer)
        Try
            TextBoxUmsatz.Text = FormatCurrency(CalculateUmsatzKundeNetto(IDNR), 2)
            Dim startLaufendesJahr As New DateTime(Date.Now.Year, 1, 1)
            TextBoxUmsatzJahr.Text = FormatCurrency(CalculateUmsatzKundeNetto(IDNR, startLaufendesJahr), 2)
            Dim startLetztessJahr As New DateTime(Date.Now.Year - 1, 1, 1)
            TextBoxUmsatzLetztesJahr.Text = FormatCurrency(CalculateUmsatzKundeNetto(IDNR, startLetztessJahr, startLaufendesJahr.AddMinutes(-1)), 2)
            LinkLabelAU.Text = AnzahlKundenVorgaenge(IDNR, VorgangTypen.AU, False)
            LinkLabelAR.Text = AnzahlKundenVorgaenge(IDNR, VorgangTypen.AR, False)
            LinkLabelRabatteAnz.Text = AnzahlKundenPreise(IDNR)
            TextBoxNotizen.Text = FirstRow("select notizen from ofAnrufe where adrnr=" & IDNR & " order by AnrufNr desc")
        Catch ex As Exception
            WriteLog("LadeDaten Error:" & ex.Message)
        End Try
    End Sub

    Private Sub LinkLabelUmsatz_LinkClicked(sender As Object, e As LinkLabelLinkClickedEventArgs) Handles LinkLabelUmsatz.LinkClicked
        OeffneVorgangListe(IDNR)
    End Sub

    Private Sub LinkLabelRabatte_LinkClicked(sender As Object, e As LinkLabelLinkClickedEventArgs) Handles LinkLabelRabatte.LinkClicked
        OeffneKundenPreise(IDNR)
    End Sub

    Private Sub LinkLabelNotizen_LinkClicked(sender As Object, e As LinkLabelLinkClickedEventArgs) Handles LinkLabelNotizen.LinkClicked
        OeffneAnrufliste(IDNR)
    End Sub

    Private Sub LinkLabelAU_LinkClicked(sender As Object, e As LinkLabelLinkClickedEventArgs) Handles LinkLabelAU.LinkClicked
        OeffneVorgangListe(IDNR, VorgangTypen.AU, False)
    End Sub

    Private Sub LinkLabelAR_LinkClicked(sender As Object, e As LinkLabelLinkClickedEventArgs) Handles LinkLabelAR.LinkClicked
        OeffneVorgangListe(IDNR, VorgangTypen.AR, False)
    End Sub

    Private Sub LinkLabelVorgängeBlättern_LinkClicked(sender As Object, e As LinkLabelLinkClickedEventArgs) Handles LinkLabelVorgängeBlättern.LinkClicked
        OeffneVorgangMaske(IDNR, VorgangTypen.AR)
    End Sub

    Private Sub LinkLabelAUBlättern_LinkClicked(sender As Object, e As LinkLabelLinkClickedEventArgs) Handles LinkLabelAUBlättern.LinkClicked
        OeffneVorgangMaske(IDNR, VorgangTypen.AU)
    End Sub
End Class
